package gandi

import (
	"coopcloud.tech/abra/pkg/dns"
	"github.com/libdns/gandi"
)

// New constructs a new DNs provider.
func New() (gandi.Provider, error) {
	token, err := dns.NewToken("Gandi", "GANDI_TOKEN")
	if err != nil {
		return gandi.Provider{}, err
	}
	return gandi.Provider{APIToken: token}, nil
}
