package config

import (
	"reflect"
	"testing"
)

func TestNewApp(t *testing.T) {
	app, err := newApp(expectedAppEnv, appName, expectedAppFile)
	if err != nil {
		t.Fatal(err)
	}
	if !reflect.DeepEqual(app, expectedApp) {
		t.Fatalf("did not get expected app type. Expected: %s; Got: %s", app, expectedApp)
	}
}

func TestReadAppEnvFile(t *testing.T) {
	app, err := readAppEnvFile(expectedAppFile, appName)
	if err != nil {
		t.Fatal(err)
	}
	if !reflect.DeepEqual(app, expectedApp) {
		t.Fatalf("did not get expected app type. Expected: %s; Got: %s", app, expectedApp)
	}
}

func TestGetApp(t *testing.T) {
	app, err := GetApp(expectedAppFiles, appName)
	if err != nil {
		t.Fatal(err)
	}
	if !reflect.DeepEqual(app, expectedApp) {
		t.Fatalf("did not get expected app type. Expected: %s; Got: %s", app, expectedApp)
	}
}
