#!/bin/bash

set -e

create_server_app_recipe() {
  ln -srf ../resources/testapp ~/.abra/servers/foo.com
  ln -srf ../resources/testrecipe ~/.abra/recipes
}

clean_server_app_recipe() {
  unlink ~/.abra/servers/foo.com
  unlink ~/.abra/recipes/testrecipe
}

function init() {
  ABRA="$(pwd)/../../abra"
  INSTALLER_URL="https://git.coopcloud.tech/coop-cloud/abra/raw/branch/main/scripts/installer/installer"

  export PATH=$PATH:$HOME/.local/bin

  echo "choosing $ABRA as abra command"
  echo "choosing $INSTALLER_URL as abra installer url"
}

init "$@"
